%define upstream_name    Math-GMPf
%define upstream_version 0.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to the GMP library's floating point (mpf) functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: gmp-devel
BuildRequires: perl-devel

%description
A bigfloat module utilizing the Gnu MP (GMP) library.
Basically this module simply wraps all of the 'mpf'
floating point functions provided by that library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.410.0-2.mga6
+ Revision: 1029634
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.410.0-1.mga6
+ Revision: 919584
- New version 0.41

* Thu Jun 25 2015 shlomif <shlomif> 0.390.0-2.mga6
+ Revision: 842863
- Rebuild for the new perl-5.22.0

* Sat Jun 20 2015 shlomif <shlomif> 0.390.0-1.mga6
+ Revision: 836830
- Add missing BR
- imported package perl-Math-GMPf


* Mon May 11 2015 cpan2dist 0.39-1mga
- initial mageia release, generated with cpan2dist
